Project (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.plugins.ide.idea.model

## [Groovy] Class Project

- org.gradle.plugins.ide.idea.model.Project

- Represents the customizable elements of an ipr (via XML hooks everything of the ipr is customizable).

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject` | `__$stMC, __$stMC`
    `class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject` | `__$stMC`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Jdk` | `jdk` Represent the jdk information of the project java sdk.
    `Set<Path>` | `modulePaths` A set of Path instances pointing to the modules contained in the ipr.
    `Set<ProjectLibrary>` | `projectLibraries` The project-level libraries of the IDEA project.
    `String` | `vcs` The vcs used by the project.
    `Set<String>` | `wildcards` A set of wildcard string to be included/excluded from the resources.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Project (org.gradle.internal.xml.XmlTransformer xmlTransformer, def pathFactory)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `configure(Collection<Path> modulePaths, String jdkName, IdeaLanguageLevel languageLevel, Collection<String> wildcards, Collection<ProjectLibrary> projectLibraries, String vcs)`
    `boolean` | `equals(def o)`
    `protected String` | `getDefaultResourceName()`
    `int` | `hashCode()`
    `protected void` | `load(groovy.util.Node xml)`
    `protected void` | `store(groovy.util.Node xml)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject` | `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$$getStaticMetaClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getXml(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#transformAction(groovy.lang.Closure), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notifyAll()`
    `class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject` | `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notifyAll()`

- - ### Property Detail

    - #### Jdk jdk

      Represent the jdk information of the project java sdk.

    - #### Set<Path> modulePaths

      A set of Path instances pointing to the modules contained in the ipr.

    - #### @Incubating Set<ProjectLibrary> projectLibraries

      The project-level libraries of the IDEA project.

    - #### @Incubating String vcs

      The vcs used by the project.

    - #### Set<String> wildcards

      A set of wildcard string to be included/excluded from the resources.

  - ### Constructor Detail

    - #### Project(org.gradle.internal.xml.XmlTransformer xmlTransformer, def pathFactory)

  - ### Method Detail

    - #### void configure(Collection<Path> modulePaths, String jdkName, IdeaLanguageLevel languageLevel, Collection<String> wildcards, Collection<ProjectLibrary> projectLibraries, String vcs)

    - #### boolean equals(def o)

    - #### @Override protected String getDefaultResourceName()

    - #### int hashCode()

    - #### @Override protected void load(groovy.util.Node xml)

    - #### @Override protected void store(groovy.util.Node xml)